html,
body {
	color: #282828;
	font-size: 1rem;
	font-weight: 400;
	line-height: 1.5;
}

.no-padding {
	padding: 0 !important;
}
.no-margin {
	margin: 0 !important;
}
.no-bottom-space {
	padding-bottom: 0 !important;
	margin-bottom: 0 !important;
}
.no-top-space {
	padding-top: 0 !important;
	margin-top: 0 !important;
}
.no-space {
	margin: 0 !important;
	padding: 0 !important;
}
.no-text-shadow {
	text-shadow: none !important;
}

.margin-top-10 {
	margin-top: 10px !important;
}
.margin-top-30 {
	margin-top: 30px !important;
}
.margin-top-50 {
	margin-top: 50px !important;
}
.margin-top-60 {
	margin-top: 60px !important;
}
.margin-bottom-5 {
	margin-bottom: 5px !important;
}
.margin-bottom-10 {
	margin-bottom: 10px !important;
}
.margin-bottom-30 {
	margin-bottom: 30px !important;
}
.margin-bottom-50 {
	margin-bottom: 50px !important;
}
.margin-bottom-100 {
	margin-bottom: 100px !important;
}
.margin-left-20 {
	margin-left: 20px !important;
}
.margin-right-20 {
	margin-right: 20px !important;
}

ul li {
	list-style: none;
}

a {
	text-decoration: none !important;
}

/* btn */
.btn-fb {
	background-color: #3b5998 !important;
	color: #fff !important;
}
.btn-google {
	background-color: #db4437 !important;
	color: #fff !important;
}
.btn-yt {
	background-color: #c4302b !important;
	color: #fff !important;
}
.btn-yt-tutorial {
	background-color: #c4302b !important;
	color: #fff !important;
	height: 20px;
	line-height: 0;
	padding: 2px 5px;
	font-weight: 500;
	font-size: 12px;
}
.btn-twt {
	background-color: #38a1f3 !important;
	color: #fff !important;
}
.btn-in {
	background-color: #0077b5 !important;
	color: #fff !important;
}
.btn-inst {
	background-color: #c32aa3 !important;
	color: #fff !important;
}
.btn-tumb {
	background-color: #34526f !important;
	color: #fff !important;
}
.btn-android-app {
	background-color: #ffffff !important;
	color: #191919 !important;
	height: 20px;
	line-height: 0;
	padding: 2px 5px;
	font-weight: 500;
	font-size: 12px;
}
.btn-app-store {
	background-color: #ffffff !important;
	color: #191919 !important;
	height: 20px;
	line-height: 0;
	padding: 2px 5px;
	font-weight: 500;
	font-size: 12px;
}
.btn-app {
	color: #fff;
	background-repeat: no-repeat;
	background-size: 800% 400%;
	background-attachment: fixed;
	filter: progid:DXImageTransform.Microsoft.gradient(startColorstr=#1deab9, endColorstr=#ff2d60);
	background-image: linear-gradient(120deg, #1deab9, #29ccff, #6caafd, #ff61fa, #f2663d, #ff2d60);
	animation-name: bganimation;
	animation-duration: 15s;
	animation-timing-function: linear;
	animation-delay: 0s;
	animation-iteration-count: infinite;
	animation-direction: alternate;
	animation-play-state: running;
	height: 30px;
	line-height: 1;
	padding: 5px 10px;
	font-weight: 500;
	font-size: 15px;
}
.btn-app:hover {
	color: #fff;
}

/* bg color */
.bg-gray {
	background-color: #f2f2f2;
}
/* home */
.main_home_bg {
	background-repeat: no-repeat;
	background-size: 800% 400%;
	background-attachment: fixed;
	filter: progid:DXImageTransform.Microsoft.gradient(startColorstr=#ff2d60, endColorstr=#1deab9);
	background-image: linear-gradient(120deg, #ff2d60, #ff9132, #ff61fa, #6caafd, #29ccff, #1deab9);
	animation-name: bganimation;
	animation-duration: 15s;
	animation-timing-function: linear;
	animation-delay: 0;
	animation-iteration-count: infinite;
	animation-direction: alternate;
	animation-play-state: running;
}

@keyframes bganimation {
	0% {
		background-position: 0 50%;
	}
	100% {
		background-position: 100% 50%;
	}
}

.home_header_video {
	border: 5px solid #fff;
	width: 246px;
	height: 429px;
	margin: 0 auto;
	-o-object-fit: contain;
	object-fit: contain;
	border-radius: 5px;
}

.video_frame_bg {
	width: 305px;
	margin-left: auto;
	margin-right: auto;
	/* float: right; */
	height: 620px;
	background-size: 100%;
	background-image: url(../imgs/icon-mobile.png);
}
.home_video_size {
	width: 254px;
	margin-top: 80px;
	margin-left: 26px;
}

/* footer */
footer {
	background: inherit;
}
.main_footer {
	background: #343a40;
	color: #fff;
	padding: 40px 0px;
}
.sub_footer {
	background: #212529;
	color: #fff;
	font-size: 0.8rem;
	padding: 30px 0;
}

/* text color */
.text-orange-light {
	color: #f85c37 !important;
}
.text-orange-dark {
	color: #d83f1a !important;
}

/*font*/
.f_40 {
	font-size: 40px !important;
}
.f_25 {
	font-size: 25px !important;
}
.edit_profile {
	position: absolute;
	right: 25px;
}
/*post*/
.post_upload_icon {
	margin-top: -75px;
	background: #fff;
	border-radius: 50%;
	padding: 10px 15px;
	box-shadow: 0px 5px 1px #e2e2e2;
	width: 75px;
}
.post_main {
	margin-top: 60px;
	margin-bottom: 60px;
	width: 100%;
	margin-right: auto;
	margin-left: auto;
}
@media only screen and (max-width: 600px) {
	.post_main {
		margin-top: 60px;
		margin-bottom: 60px;
		width: 100% !important;
		margin-right: auto;
		margin-left: auto;
	}
}
.post_date,
.post_views {
	font-size: 12px;
}
@media screen and (max-width: 600px) {
	.sm-hide {
		display: none;
	}
}

.post_text {
	margin-bottom: 3px;
	line-height: 18px;
	font-size: 14px;
}

.post_tag {
	font-size: inherit;
	font-weight: 400;
	background-color: #f3f3f3;
	color: #673ab7;
	display: inline-block;
	padding: 0.25em 0.4em;
	line-height: 1;
	/* text-align: center; */
	/* white-space: nowrap; */
	vertical-align: baseline;
	border-radius: 0.25rem;
	margin-bottom: 3px;
	word-break: break-all;
}
.avatar_img {
	width: 50px;
	height: 50px;
}
.avatar_pp_img {
	width: 80px;
	height: 80px;
	border: 2px solid #e2e2e2;
	border-radius: 50%;
	margin-bottom: 5px;
}
.avatar_name {
	font-size: 17px;
	margin-bottom: 0;
	color: #373737;
}
.avatar_bio {
	font-size: 12px;
	color: #737373;
}
.avatar_cover {
	background-size: cover;
	background-repeat: no-repeat;
	background-position: center center;
	background-image: linear-gradient(128deg, #f2663d, #ec0000);
}
.more_post {
	position: absolute;
	top: -50px;
	right: 5px;
}
.more_post::before {
	content: none !important;
}
.language_drop::after {
	content: none !important;
}
.language_div {
	height: 100px;
	font-size: 40px;
	line-height: 2;
}
.video_play_btn {
	display: inline-block;
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	z-index: 9;
	font-size: 50px;
}

.bg_black_blur {
	background: #000000b8;
}
/* search */
.search_list {
	-webkit-box-align: center;
	-webkit-align-items: center;
	-ms-flex-align: center;
	align-items: center;
	display: -webkit-box;
	display: -webkit-flex;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-orient: horizontal;
	-webkit-box-direction: normal;
	-webkit-flex-direction: row;
	-ms-flex-direction: row;
	flex-direction: row;
	min-height: 40px;
	padding: 5px 15px 10px;
	position: relative;
}
.search_a {
	display: block;
	-webkit-box-flex: 0;
	-webkit-flex: 0 0 auto;
	-ms-flex: 0 0 auto;
	flex: 0 0 auto;
}
.search_b {
	display: block;
	-webkit-box-flex: 1;
	-webkit-flex: 1 0 0%;
	-ms-flex: 1 0 0%;
	flex: 1 0 0%;
	line-height: 1.3;
	margin: 0 12px;
	min-width: 0;
	word-wrap: break-word;
}
.search_c {
	min-height: 26px;
	min-width: 40px;
}
.selected-heart {
	color: red;
	font-size: 22px;
}
/* notification */
.notify_list {
	-webkit-box-align: center;
	-webkit-align-items: center;
	-ms-flex-align: center;
	align-items: center;
	display: -webkit-box;
	display: -webkit-flex;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-orient: horizontal;
	-webkit-box-direction: normal;
	-webkit-flex-direction: row;
	-ms-flex-direction: row;
	flex-direction: row;
	min-height: 40px;
	padding: 5px 15px 10px;
	position: relative;
}
.notify_icon {
	position: absolute;
	left: 45px;
	margin-top: -15px;
	padding: 5px;
	background: #f2663d;
	border-radius: 50%;
	color: #fff;
	font-size: 10px;
}
.notify_a {
	display: block;
	-webkit-box-flex: 0;
	-webkit-flex: 0 0 auto;
	-ms-flex: 0 0 auto;
	flex: 0 0 auto;
}
.notify_b {
	display: block;
	-webkit-box-flex: 1;
	-webkit-flex: 1 0 0%;
	-ms-flex: 1 0 0%;
	flex: 1 0 0%;
	line-height: 1.3;
	margin: 0 12px;
	min-width: 0;
	word-wrap: break-word;
}
.notify_c {
	min-height: 26px;
	min-width: 40px;
}
.post_notify_size {
	height: 50px;
}

/* follower / following */
.follow_list {
	-webkit-box-align: center;
	-webkit-align-items: center;
	-ms-flex-align: center;
	align-items: center;
	display: -webkit-box;
	display: -webkit-flex;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-orient: horizontal;
	-webkit-box-direction: normal;
	-webkit-flex-direction: row;
	-ms-flex-direction: row;
	flex-direction: row;
	min-height: 40px;
	padding: 5px;
	position: relative;
}
.follow_a {
	display: block;
	-webkit-box-flex: 0;
	-webkit-flex: 0 0 auto;
	-ms-flex: 0 0 auto;
	flex: 0 0 auto;
}
.follow_b {
	display: block;
	-webkit-box-flex: 1;
	-webkit-flex: 1 0 0%;
	-ms-flex: 1 0 0%;
	flex: 1 0 0%;
	line-height: 1.3;
	margin: 0 12px;
	min-width: 0;
	word-wrap: break-word;
}
.follow_c {
	min-height: 26px;
	min-width: 40px;
}

/*app modal */
.app_modal {
	top: auto;
	bottom: -100%;
	margin: 0;
	width: 100%;
	max-height: 45%;
	border-radius: 0;
	will-change: bottom, opacity;
	z-index: 1003;
	display: block;
	opacity: 1;
	bottom: 0px;
	position: absolute;
}
/*footer*/
.app_footer {
	position: fixed;
	width: 100%;
	bottom: 0;
	height: 56px;
	z-index: 99;
}
.footer_active {
	color: #f2663d;
}


.list-style-disc{
	list-style: disc !important;
	
}

.list-style-disc *{
	display: list-item;
	list-style: disc !important;
}

.list-style-decimal > * {
	list-style: decimal !important;
}

.list-style-circle > *{
	list-style: circle !important;
}

.text-underline{
	text-decoration: underline !important;
}

.disc{
	list-style: disc;
}

.alphabetic_points{
	margin: 10px auto;
}

.alphabetic_points p{
	margin: 0;
	padding: 0;
}